ROS Resources: Documentation | Support | Discussion Forum | Service Status | Q&A answers.ros.org
Ask Your Question
4

installing ros diamondback on ubuntu 11.10 oneiric ocelot

asked 2011-10-13 10:56:49 -0600

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

Hi, I have recently downloaded ubuntu 11.10 oneiric ocelot and i'm currently trying to install ros diamondback. I have tried to install it using the 11.04 sources.list but it says some packages could not be installed and the final line in the terminal window reads: "E: Unable to correct problems, you have held broken packages." Is there a way to successfully install diamondback on ubuntu 11.10? Thanks, James

edit retag flag offensive close merge delete

6 Answers

Sort by ยป oldest newest most voted
4

answered 2011-10-13 11:00:44 -0600

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

We will be bringing our Oneiric builds online now that it has been released. There are a few patches which will be required. Note, diamondback is not supported on oneiric as per REP 3 only Electric and later ROS distros will be supported.

If you'd like to run on Oneiric now, I suggest that you compile from source and submit any patches required for the upgrade.

The status of the debian builds can be viewed at http://www.ros.org/debbuild/electric.html

edit flag offensive delete link more

Comments

Oneiric debians are now available for most packages. Oneiric is now listed at http://ros.org/wiki/electric/Installation/Ubuntu
tfoote gravatar imagetfoote ( 2011-11-15 11:43:51 -0600 )edit
-1

answered 2012-04-25 09:51:15 -0600

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

Is there going to be a Diamondback install package for Ubuntu 11.10 and if so when?

edit flag offensive delete link more

Comments

See the answer by @tfoote . No Debians will ever be available for Diamondback on 11.10, as it is not an officially supported platform for Diamondback. Either compile Diamondback from source or install Electric or the newly released Fuerte on 11.10 from binaries.

Eric Perko gravatar imageEric Perko ( 2012-04-25 10:19:10 -0600 )edit
0

answered 2011-10-28 00:10:22 -0600

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

Hi,

I've followed sebsch steps. I've been able to install ros-electric-openni-kinect, but when I run 'roslaunch openni_camera openni_node.launch' I'm having problems:

[ INFO] [1319803138.008822101]: [/openni_node1] Number devices connected: 1
[ INFO] [1319803138.009765236]: [/openni_node1] 1. device on bus 001:09 is a Xbox NUI Camera (2ae) from Microsoft (45e) with serial id 'A00362904858048A'
[ INFO] [1319803138.017595280]: [/openni_node1] searching for device with index = 1
[ INFO] [1319803138.031111872]: [/openni_node1] No matching device found.... waiting for devices. Reason: openni_wrapper::OpenNIDevice::OpenNIDevice(xn::Context&, const xn::NodeInfo&, const xn::NodeInfo&, const xn::NodeInfo&, const xn::NodeInfo&) @ /tmp/buildd/ros-electric-openni-kinect-0.3.1/debian/ros-electric-openni-kinect/opt/ros/electric/stacks/openni_kinect/openni_camera/src/openni_device.cpp @ 61 : creating depth generator failed. Reason: The network connection has been closed!

I've been looking how to fix it, but I've not found anything so far. Any hint?

edit flag offensive delete link more

Comments

Finally, I've installed ros-electric from oneiric repos, which are now available. Thanks a lot!. Everything works, 'roslaunch openni_launch' launch files as well.
Enrique gravatar imageEnrique ( 2011-11-13 02:24:30 -0600 )edit
1

answered 2011-10-25 20:08:19 -0600

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

Similar to in earlier versions, you can make packages meant for natty narwhal work on oneiric ocelot.

I successfully tried the following with electric, but it should also work with diamondback.

  • Add the latest package source (in this case: Natty) to your sources.list (electric, diamondback).
  • Install freeglut3-dev, which replaced libglut3-dev in oneiric:

    sudo apt-get install freeglut3-dev

  • Install equivs, which will allow you to create pseudo-packages:

    sudo apt-get install equivs

  • Create a file libglut3-dev.conf for the pseudo package linking libglut3-dev and freeglut3-dev:

    Section: misc

    Priority: optional

    Standards-Version: 3.6.2

    Package: libglut3-dev

    Depends: freeglut3-dev

    Description: temporary package to satisfy dependencies of Ubuntu 11.04 packages on 11.10

  • Convert it to an actual package and install it:

    equivs-build libglut3-dev.conf

    sudo dpkg -i libglut3-dev_1.0_all.deb

  • You should now be able to install the full ros desktop using one of the following

    sudo apt-get install ros-electric-desktop-full

    sudo apt-get install ros-diamondback-desktop-full

  • Now you still cannot use opencv and some other packages as they are linked against old versions of some libraries. Download and install the following packages taken from natty to get these to work anyway. Choose the correct link according to your architecture:

    libavcodec52 libavformat52 libavutil50 libavutil-extra-50 libswscale0 libtinyxml2.5.3 libvtk5.4

    Afterwards, install all of these packages using

    sudo dpkg -i *.deb

    wherever you downloaded them to.

edit flag offensive delete link more

Comments

I've followed all the steps, but I have problems running 'roslaunch openni_camera openni_node.launch'. This is the error (part): openni_node: error while loading shared libraries: libtinyxml.so.2.5.3: cannot open shared object file: No such file or directory, Ubuntu 10.10 comes with ver. 2.6.2
Enrique gravatar imageEnrique ( 2011-10-27 01:12:17 -0600 )edit
Are you saying you are running Ubuntu 10.10? There are original packages for 10.10, no need for this workaround.
sebsch gravatar imagesebsch ( 2011-10-27 03:11:17 -0600 )edit
Sorry, mean 11.10 (oneiric). I try to recompile openni_camera only, but it still fails because of libtinyxml. I think I could try to install libtinyxml.so.2.5.3, but I've not done yet.
Enrique gravatar imageEnrique ( 2011-10-27 20:50:35 -0600 )edit
Done, works, but still a problem with kinect (see post below).
Enrique gravatar imageEnrique ( 2011-10-28 00:11:02 -0600 )edit
0

answered 2011-10-20 10:08:16 -0600

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

I was able to install Electric on 11.10 from source.

The basic rosmake --rosdep-install built without a problem, but I had troubles getting rviz running. I downloaded yaml-cpp from source, and used the ogre repositories to install assimp, from this page.

Also, my wxpropgrid tar was corrupt, so I had to roscd to the wxpropgrid package and re-make.

I am sure there are broken deps I didn't run into, but hopefully its enough to get you started.

edit flag offensive delete link more
0

answered 2011-10-18 21:03:28 -0600

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

Just my two cents,

installing the 11.04 packages of ros-base for electric on 11.10 was OK. Quickly tested it running the python publisher/subscriber tutorial which also worked fine.

edit flag offensive delete link more

Comments

i did it to, but gazebo doesn't work because of libavcodec, which is version 53 now
Bruno Normande gravatar imageBruno Normande ( 2011-10-20 05:07:24 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-10-13 10:56:49 -0600

Seen: 7,166 times

Last updated: Apr 25 '12